Name:		signpost-core
Version:	1.2.1.2
Release:	%mkrel 3
Summary:	A simple, light-weight, and modular OAuth client library for the Java platform

Group:		Development/Java
License:	ASL 2.0
URL:		http://code.google.com/p/oauth-signpost/
Source0:	%{name}-%{version}.tar.gz
Source1:	build.xml
Source2:	%{name}-generate-tarball.sh
# Source built using the following commands : ./signpost-core-generate-tarball.sh 1.2.1.2
# tarball is built using "git clone https://github.com/kaeppler/signpost.git" and checkout with version parameter

BuildArch:	noarch 
BuildRequires:	jpackage-utils
BuildRequires:	java-devel >= 1:1.5.0
BuildRequires:	ant
BuildRequires:	commons-codec
Requires:	jpackage-utils
Requires:	java >= 1:1.5.0
Requires:	commons-codec

%description
Signpost is the easy and intuitive solution for signing HTTP messages on the 
Java platform in conformance with the OAuth Core 1.0a standard. 
Signpost follows a modular and flexible design, allowing you to combine it with
different HTTP messaging layers

%package javadoc
Summary:	Javadoc for %{name}
Group:		Documentation
Requires:       %{name} = %{version}-%{release}
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
cp %SOURCE1 .

# Remove pre-built JAR and class files
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

# Add depencies 
mkdir lib
build-jar-repository -s -p lib commons-codec


%build
ant javadoc
ant

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_javadir}

install -p -m 644 build/jar/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp javadoc/*  \
  %{buildroot}%{_javadocdir}/%{name}

%files
%doc
%{_javadir}/%{name}.jar


%files javadoc
%{_javadocdir}/%{name}




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2.1.2-3.mga4
+ Revision: 518345
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1.2-2.mga3
+ Revision: 382021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 matteo <matteo> 1.2.1.2-1.mga3
+ Revision: 337366
- spec file reviewed
- Imported Fedora package


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.2-1
- Update to release 1.2.1.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 27 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-6
- Add require on commons-codec (bug 714777)

-* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-5
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-4
- Add fully dependency in javadoc subpackage

* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-3
- Remove unnedded clean section
- Remove unneeded requires in javadoc section

* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-2
- According to Java packaging guidelines version removed from jar file name 

* Sat Jan 15 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-1
- First release
